function FileData_Pairs(x)
{
x.t("states","apis");
x.t("states","midlet");
x.t("states","paused");
x.t("active","state");
x.t("active","signals");
x.t("active","midlet");
x.t("supports","following");
x.t("example","avoid");
x.t("midlet.pauseapp","method");
x.t("method","example");
x.t("method","always");
x.t("method","destroyapp");
x.t("method","single");
x.t("method","designed");
x.t("method","end");
x.t("method","like\u00adwise");
x.t("method","enter");
x.t("method","good");
x.t("method","called");
x.t("method","note");
x.t("method","midlet");
x.t("determined","midlet");
x.t("defines","protocol");
x.t("needs","begins");
x.t("needs","applica");
x.t("needs","call");
x.t("needs","room");
x.t("within","destroyapp");
x.t("sufficient","send");
x.t("table","typical");
x.t("once","state");
x.t("always","properly");
x.t("always","call");
x.t("having","threads");
x.t("instance","midlet");
x.t("controlled","midlet");
x.t("preferences","performs");
x.t("performs","clean");
x.t("destroyed","calling");
x.t("destroyed","midlet");
x.t("creates","new");
x.t("user","preferences");
x.t("state","user");
x.t("state","machine");
x.t("state","entered");
x.t("state","changes");
x.t("state","release");
x.t("state","application");
x.t("state","midlet");
x.t("interface","supports");
x.t("mode","configured");
x.t("\u00adple","well-defined");
x.t("exit","point");
x.t("destroyapp","method");
x.t("destroyapp","destroyapp");
x.t("destroyapp","automatically");
x.t("destroyapp","midlet");
x.t("explicitly","destroy");
x.t("time","sufficient");
x.t("time","midlet");
x.t("left","calling");
x.t("calls","midlet.startapp");
x.t("execution","needed");
x.t("execution","application");
x.t("i.e","having");
x.t("apis","signal");
x.t("needed","perhaps");
x.t("needed","resources");
x.t("resetting","module");
x.t("automatically","called");
x.t("default","argument");
x.t("loop","sure");
x.t("single","exit");
x.t("new","instance");
x.t("care","startapp");
x.t("command","some\u00adwhere");
x.t("designed","midlet");
x.t("again","table");
x.t("machine","concise");
x.t("holding","using");
x.t("candidate","destroyed");
x.t("normally","destroyed");
x.t("resumerequest","midlet");
x.t("saves","state");
x.t("become","passive");
x.t("sure","code");
x.t("cycle","defines");
x.t("cycle","6.2");
x.t("cycle","midlets");
x.t("cycle","midlet");
x.t("sim","\u00adple");
x.t("definition","midlet\u2019s");
x.t("acquired","midlet");
x.t("constructor","note");
x.t("closed","loop");
x.t("stop","performing");
x.t("entered","once");
x.t("avoid","threads");
x.t("scfg","restart");
x.t("argument","con");
x.t("perform","service");
x.t("methods","pauseapp");
x.t("restart","java");
x.t("restart","module");
x.t("destroy","java");
x.t("implies","calling");
x.t("started","again");
x.t("well-defined","state");
x.t("three","valid");
x.t("otap","needs");
x.t("switching","module");
x.t("signals","stop");
x.t("signals","midlet");
x.t("6.2","midlet");
x.t("configured","scfg");
x.t("commands","smso");
x.t("point","midlet");
x.t("especially","important");
x.t("life","cycle");
x.t("concise","definition");
x.t("some\u00adwhere","code");
x.t("terminated","state");
x.t("terminated","calling");
x.t("stops","performing");
x.t("signal","changes");
x.t("asks","application");
x.t("initialised","quiescent");
x.t("passive","startapp");
x.t("afterwards","either");
x.t("software","determined");
x.t("software","creates");
x.t("software","started");
x.t("software","cleaned");
x.t("software","decided");
x.t("software","longer");
x.t("software","midlet");
x.t("software","paused");
x.t("notifypaused","midlet");
x.t("cleaned","done");
x.t("con","\u00adstructor");
x.t("begins","perform");
x.t("midlet.destroyapp","method");
x.t("changes","states");
x.t("changes","controlled");
x.t("release","temporary");
x.t("release","resources");
x.t("properly","terminated");
x.t("acquires","resources");
x.t("midlets","6.2");
x.t("calling","midlet.pauseapp");
x.t("calling","destroyapp");
x.t("calling","midlet.destroyapp");
x.t("calling","notifydestroyed");
x.t("important","otap");
x.t("switch","module");
x.t("decided","appropriate");
x.t("code","procedure");
x.t("code","entirely");
x.t("executed","especially");
x.t("end","destroyapp");
x.t("functioning","normally");
x.t("launched","startapp");
x.t("environment","sim");
x.t("performing","service");
x.t("memory","signals");
x.t("enter","active");
x.t("enter","closed");
x.t("java","afterwards");
x.t("java","application");
x.t("java","sjra");
x.t("like\u00adwise","resetting");
x.t("longer","needs");
x.t("longer","needed");
x.t("notifydestroyed","method");
x.t("notifydestroyed","destroyapp");
x.t("notifydestroyed","notifypaused");
x.t("notifydestroyed","midlet");
x.t("notifydestroyed","terminate");
x.t("quiescent","holding");
x.t("cfun=x","restart");
x.t("cfun=x","implies");
x.t("cfun=x","sent");
x.t("send","smso");
x.t("holds","application");
x.t("midlet\u2019s","states");
x.t("temporary","resources");
x.t("startapp","method");
x.t("startapp","enter");
x.t("startapp","midlet");
x.t("autostart","mode");
x.t("perhaps","needs");
x.t("valid","states");
x.t("midlet.startapp","method");
x.t("good","practice");
x.t("sequence","midlet");
x.t("cur\u00adrently","holds");
x.t("module","destroyapp");
x.t("module","time");
x.t("module","restart");
x.t("module","cfun=x");
x.t("typical","sequence");
x.t("shared","resources");
x.t("save","state");
x.t("practice","always");
x.t("appropriate","time");
x.t("application","switch");
x.t("application","memory");
x.t("application","management");
x.t("application","without");
x.t("called","explicitly");
x.t("called","notifydestroyed");
x.t("called","paused");
x.t("procedure","implies");
x.t("notifies","application");
x.t("choose","release");
x.t("protocol","midlet");
x.t("note","care");
x.t("note","destroy");
x.t("note","cfun=x");
x.t("note","terminate");
x.t("done","note");
x.t("applica","\u00adtion");
x.t("priority","application");
x.t("midlet","interface");
x.t("midlet","i.e");
x.t("midlet","execution");
x.t("midlet","default");
x.t("midlet","candidate");
x.t("midlet","saves");
x.t("midlet","constructor");
x.t("midlet","three");
x.t("midlet","life");
x.t("midlet","stops");
x.t("midlet","asks");
x.t("midlet","initialised");
x.t("midlet","release");
x.t("midlet","acquires");
x.t("midlet","functioning");
x.t("midlet","environment");
x.t("midlet","longer");
x.t("midlet","notifydestroyed");
x.t("midlet","save");
x.t("midlet","application");
x.t("midlet","notifies");
x.t("midlet","called");
x.t("midlet","call");
x.t("midlet","starts");
x.t("midlet","run");
x.t("midlet","released");
x.t("entirely","executed");
x.t("call","destroyapp");
x.t("call","notifydestroyed");
x.t("following","methods");
x.t("starts","execution");
x.t("either","autostart");
x.t("management","software");
x.t("terminate","midlet");
x.t("run","calls");
x.t("service","calling");
x.t("service","application");
x.t("service","choose");
x.t("room","higher");
x.t("paused","state");
x.t("paused","resumerequest");
x.t("paused","midlet");
x.t("using","shared");
x.t("smso","command");
x.t("smso","cfun=x");
x.t("\u00adtion","active");
x.t("without","switching");
x.t("sjra","commands");
x.t("released","resources");
x.t("sent","within");
x.t("resources","active");
x.t("resources","needs");
x.t("resources","become");
x.t("resources","acquired");
x.t("resources","terminated");
x.t("resources","cur\u00adrently");
x.t("resources","note");
x.t("pauseapp","midlet");
x.t("threads","left");
x.t("threads","launched");
x.t("\u00adstructor","midlet");
x.t("higher","priority");
}
